package com.qmth.themis.task.enums;

/**
 * @Description: quartz task enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/31
 */
public enum QuartzTaskEnum {

    MQ_JOB_NAME("mqjob"),

    MQ_JOB_GROUP_NAME("mqjob group"),

    EXAM_ACTIVITY_JOB_GROUP_NAME("考场一次性延时job group"),

    EXAM_STUDENT_JOB_GROUP_NAME("考生一次性延时job group"),

    EXAM_ACTIVITY_FINAL_PREPARE_TIME_JOB_GROUP_NAME("考场最后开考时间一次性延时job group"),

//    EXAM_AUDIO_JOB_GROUP_NAME("考试语音播报一次性延时job group"),

    MQ_ACTIVITY_JOB_NAME("mq_activity_job"),

    MQ_ACTIVITY_JOB_GROUP_NAME("mq_activity_job group"),

    OBJECTIVE_ANSWER_CACHE_LOAD_JOB_NAME("客观题缓存加载"),

    OBJECTIVE_ANSWER_CACHE_LOAD_JOB_GROUP_NAME("客观题缓存加载"),

    EXAM_SUMMARY_JOB_NAME("考试统计"),

    EXAM_SUMMARY_JOB_GROUP_NAME("考试统计 group"),

    EXAM_LIST_JOB_NAME("考试列表"),

    EXAM_LIST_JOB_GROUP_NAME("考试列表 group");

//    REPAIR_JOB_NAME("repair_job"),

//    REPAIR_JOB_GROUP_NAME("repair_job group");

    private QuartzTaskEnum(String code) {
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }
}
